Bug 1217450 - [RFE][HC] - On HC cluster hosts should be not allowed to be removed only replace with brick replace GUI.
Summary: [RFE][HC] - On HC cluster hosts should be not allowed to be removed only repl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: ovirt-4.0.0-beta
: 4.0.0
Assignee: Sahina Bose
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1213309
Blocks: 1390410 Generic_Hyper_Converged_Host Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2015-04-30 12:09 UTC by Yaniv Lavi
Modified: 2016-11-01 01:48 UTC (History)
10 users (show)

Fixed In Version: 4.0-beta
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-22 12:27:49 UTC
oVirt Team: Gluster
ylavi: ovirt-4.0.0?
bmcclain: planning_ack+
sabose: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)

Description Yaniv Lavi 2015-04-30 12:09:14 UTC
Description of problem:
On HC cluster hosts should be not allowed to be removed only replace with brick replace GUI. This is to not allow replica degraded state.

Comment 1 Yaniv Lavi 2015-04-30 12:10:13 UTC
Can you please block this bug on brick replace GUI?

Comment 2 Sahina Bose 2015-04-30 14:41:41 UTC
I think, the remove host check will change to make sure that host cannot be removed if there are bricks present on it. And the way to ensure there are no bricks is to use the Replace brick UI.

Comment 3 Oved Ourfali 2015-05-01 04:16:17 UTC
This isn't an infra item, but gluster one. 
We will review the code of course.

Comment 4 Red Hat Bugzilla Rules Engine 2015-10-19 10:51:48 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 5 Sandro Bonazzola 2016-05-02 09:51:20 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 6 Sahina Bose 2016-05-06 13:15:29 UTC
There's a check in place which prevents host being removed if bricks are present. Replacing a brick is possible via replace brick UI

Comment 7 RamaKasturi 2016-08-22 06:14:58 UTC
Verified and works fine with ovirt-engine-4.0.2.6-0.1.el7ev.noarch and glusterfs-3.7.9-10.el7rhgs.x86_64.

User will not be able to remove a host from a cluster when there are bricks present on that node forming a volume.

In HC case, where there is a replica 3 volume, removing a brick from a volume is prevented and only replace brick is allowed.


Note You need to log in before you can comment on or make changes to this bug.